org.eclipse.e4.ui.workbench.modeling

## Interface ISaveHandler

    public interface ISaveHandler

Since:
  1.0
Restriction:
  This interface is not intended to be referenced by clients.

### Nested Class Summary

Nested Classes
`static class` `ISaveHandler.Save`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISaveHandler.Save[]` `promptToSave(Collection<MPart> dirtyParts)`
`ISaveHandler.Save` `promptToSave(MPart dirtyPart)`
`boolean` `save(MPart dirtyPart, boolean confirm)`
`boolean` `saveParts(Collection<MPart> dirtyParts, boolean confirm)`

### Method Detail

#### save

    boolean save(MPart dirtyPart,
                 boolean confirm)

#### saveParts

    boolean saveParts(Collection<MPart> dirtyParts,
                      boolean confirm)

#### promptToSave

    ISaveHandler.Save promptToSave(MPart dirtyPart)

#### promptToSave

    ISaveHandler.Save[] promptToSave(Collection<MPart> dirtyParts)